<?php
/**
 * @version		$Id: mod_mainmenu/default.php 1.0 Dec 28, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaRealist
 * @author		OmegaTheme (services@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 * @description	Overide core mainmenu callback
*/
defined('_JEXEC') or die('Restricted access');

if ( !defined('modMainMenuXMLCallbackDefined') ) {
	function modMainMenuXMLCallback(&$node, $args) 	{
		$user	= &JFactory::getUser();
		$menu	= &JSite::getMenu();
		$active	= $menu->getActive();
		$path	= isset($active) ? array_reverse($active->tree) : null;

		if (($args['end']) && ($node->attributes('level') >= $args['end'])) {
			$children = $node->children();
			foreach ($node->children() as $child) {
				if ($child->name() == 'ul')
					$node->removeChild($child);
			}
		}

		if ($node->name() == 'ul') { // menu customization
			foreach ($node->children() as $child) {
				if ($child->attributes('access') > $user->get('aid', 0))
					$node->removeChild($child);
			}

			if ( count($node->children()) ) {
				// mark nested level of menu
				if ($node->attributes('class'))
					$node->addAttribute('class', $node->attributes('class').' level'.($node->level() / 2));
				else
					$node->addAttribute('class', 'level'.($node->level() / 2));

				if ( isset($node->li) && is_array($node->li) && count($node->li) ) {
					// mark first menu item
					if ($node->li[0]->attributes('class'))
						$node->li[0]->addAttribute('class', $node->li[0]->attributes('class').' first');
					else
						$node->li[0]->addAttribute('class', 'first');

					// mark last menu item
					$last = count($node->li) - 1;
					if ($node->li[$last]->attributes('class'))
						$node->li[$last]->addAttribute('class', $node->li[$last]->attributes('class').' last');
					else
						$node->li[$last]->addAttribute('class', 'last');
				}
			}
		} elseif ($node->name() == 'li') {
			// mark nested level of menu item
			if ($node->attributes('class'))
				$node->addAttribute('class', $node->attributes('class').' level'.(($node->level() - 1) / 2));
			else
				$node->addAttribute('class', 'level'.(($node->level() - 1) / 2));

			// mark parent
			if ( isset($node->ul) ) {
				if ($node->attributes('class'))
					$node->addAttribute('class', $node->attributes('class').' parent');
				else
					$node->addAttribute('class', 'parent');
			}
		}

		if ( isset($path) && (in_array($node->attributes('id'), $path) || in_array($node->attributes('rel'), $path)) ) {
			// mark active menu item
			if ($node->attributes('class'))
				$node->addAttribute('class', $node->attributes('class').' active');
			else
				$node->addAttribute('class', 'active');
		} else {
			if ( isset($args['children']) && !$args['children'] ) {
				$children = $node->children();
				foreach ($node->children() as $child) {
					if ($child->name() == 'ul')
						$node->removeChild($child);
				}
			}
		}

		// mark menu item linked to current page
		if (isset($path) && $node->attributes('id') == $path[0])
			$node->addAttribute('id', 'current');
		else
			$node->removeAttribute('id');

		$node->removeAttribute('rel');
		$node->removeAttribute('level');
		$node->removeAttribute('access');
	}

	define('modMainMenuXMLCallbackDefined', true);
}

modMainMenuHelper::render($params, 'modMainMenuXMLCallback');
?>