<?php
/**
 * @package megafeaturedarticleshow for Joomla! 1.5
 * @version $Id: helper.php 599 2010-11-12 23:26:33Z $
 * @author OMEGATHEME (services@omegatheme.com)
 * @copyright (C) 2010- OMEGATHEME
 * @license GNU/GPL V2.0
**/
defined('_JEXEC') or die ('Restricted access');

require_once (JPATH_SITE.DS.'components'.DS.'com_content'.DS.'helpers'.DS.'route.php');
class modMegaFeaturedArticleShow{
	function getArticles(&$params)
	{
		$app	= JFactory::getApplication();
		$db		= JFactory::getDbo();

		// Get an instance of the generic articles model
		$model = JModel::getInstance('Articles', 'ContentModel', array('ignore_request' => true));

		// Set application parameters in model
		$appParams = JFactory::getApplication()->getParams();
		$model->setState('params', $appParams);

		// Set the filters based on the module params
		$model->setState('list.start', 0);
		$model->setState('list.limit', (int) $params->get('number_of_article', 5));

		$model->setState('filter.published', 1);

		$model->setState('list.select', 'a.fulltext, a.id, a.title, a.alias, a.title_alias, a.introtext, a.state, a.catid, a.created, a.created_by, a.created_by_alias,' .
			' a.modified, a.modified_by,a.publish_up, a.publish_down, a.attribs, a.metadata, a.metakey, a.metadesc, a.access,' .
			' a.hits, a.featured,' .
			' LENGTH(a.fulltext) AS readmore');
		// Access filter
		$access = !JComponentHelper::getParams('com_content')->get('show_noauth');
		$authorised = JAccess::getAuthorisedViewLevels(JFactory::getUser()->get('id'));
		$model->setState('filter.access', $access);

		// Category filter
		$model->setState('filter.category_id', $params->get('catid', array()));

		// Filter by language
		$model->setState('filter.language',$app->getLanguageFilter());

		// Set ordering
		$ordering = $params->get('ordering', 'a.publish_up');
		$model->setState('list.ordering', $ordering);
		if (trim($ordering) == 'rand()') {
			$model->setState('list.direction', '');			
		} else {
			$model->setState('list.direction', 'DESC');
		}

		//	Retrieve Content
		$items = $model->getItems();
		
		$imageDefault = $params->get('image_default',JURI::base().$params->get('image_default'));
		
		foreach ($items as &$item) {
			$item->slug = $item->id.':'.$item->alias;
			//$item->catslug = $item->catid.':'.$item->category_alias;
			
			if ($access || in_array($item->access, $authorised))
			{
				// We know that user has the privilege to view the article
				$item->link = JRoute::_(ContentHelperRoute::getArticleRoute($item->slug, $item->catid));
			}
			
			else {
				$item->link = JRoute::_('index.php?option=com_user&view=login');
			}
			
			$item->introtext = JHtml::_('content.prepare', $item->introtext);
			
			preg_match_all('/src="([^"]+)"/i', $item->introtext . $item->fulltext, $matches);
			if(empty($matches[1][0])){
				$item->images = $imageDefault;
			}else{
				$item->images = $matches[1][0];
			}
			//Introtext limit
			$item->introtext = strip_tags(preg_replace('/<img[^>]*>/', '', $item->introtext));
			$item->introtext = substr($item->introtext, 0, $params->get('number_of_character')).'&hellip;';
			
			if($params->get('show_readmore')==1){
				$item->readmore = '<a class="readmore" href = "' .$item->link. '" title="'.$item->title.'"> '.JText::_("READMORE"). ' </a>' ; 
			}else{
				$item->readmore ='';
			}
		}
		return $items;
	}
}
?>
