<?php
/**
 * @version		$Id: index.php 1.0 Dec 28, 2010 19:02:38Z OmegaTheme $
 * @package		OmegaTheme Joomla Template
 * @subpackage	MegaRealist
 * @author		OmegaTheme (services@omegatheme.com)
 * @link 		http://www.omegatheme.com
 * @copyright	Copyright (C) 2008 - 2010 OmegaTheme
 * @license		GNU/GPL V2
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/splitmodules.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/params.config.php');

JHTML::_('behavior.mootools');
$doc = &JFactory::getDocument();

if ($this->params->get('load_javascript_util') == 1) {
	$doc->addScript(JURI::base() . 'templates/' . $this->template . '/js/template_utilities.js');
}

if ($this->countModules('menu')) {
	$doc->addScript(JURI::base() . 'templates/' . $this->template . '/js/dropdown-j17.js');
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>">
<head>
	<jdoc:include type="head" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/template.css" rel="stylesheet" type="text/css" />
	<link href="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/css/color_<?php echo $color; ?>.css" rel="stylesheet" type="text/css" />
	
	<!--[if IE 9]>
		<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template;?>/css/ie9only.css" type="text/css" />
	<![endif]-->
	
	<?php echo $megaStyleSheet; ?>
</head>
<body id="omega-MegaRealist" class="page <?php echo $home; ?> <?php echo $this->params->get('columns'); ?> <?php echo $color; ?>">
	<div id="page-bg">
		<!-- begin of header-->
		<div id="header">
			<div class="header-inner">
				<?php if($this->countModules('quick-info + login-signup')): ?>
					<div id="top-modules">
						<div class="quick-info">							
							<jdoc:include type="modules" name="quick-info" style="none" />
						</div>
						<div class="login_signup">
							<jdoc:include type="modules" name="login-signup" style="none" />
						</div>
					</div>
				<?php endif; ?>
				<h1 id="logo"><a href="<?php $this->baseurl; ?>" title="Omegatheme MegaRealist"><img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template; ?>/images/logo-<?php echo $color; ?>.png" alt="Omegatheme MegaRealist" /></a></h1>
				<div id="color-chooser">
					<a href="#" rel="nofollow" title="lightwheat" id="lightwheat" style="background: #f6edda;" onclick="javascript:chooseThisColor(this.id);">Color 1</a>&nbsp;&nbsp;
					<a href="#" rel="nofollow" title="like_aliceblue" id="like_aliceblue" style="background: #F3F6FA;" onclick="javascript:chooseThisColor(this.id);">Color 2</a>
				</div>
			</div>
		</div>
		<!-- end of header-->
		
		<!-- begin of menu bar-->
		<div id="menu-bar">
			<div class="menu-bar-inner">
				<?php if($this->countModules('search')): ?>
				<div id="search">
					<jdoc:include type="modules" name="search" />
				</div>
				<?php endif; ?>
				<div id="main-nav">
					<jdoc:include type="modules" name="menu" />
				</div>
			</div>
		</div>
		<!-- end of menu bar-->

		<!-- begin of middle-outer -->
		<div class="middle-outer">
			<div class="middle-inner">
				<!-- begin of header-banner -->
				<?php if($this->countModules('realist-search') || $this->countModules('slideshow')): ?> 
				<div class="header-banner">
					<?php if($this->countModules('realist-search')): ?> 
					<div id="realist-search">
						<jdoc:include type="modules" name="realist-search" style="megaxhtml" />
					</div>
					<?php endif; ?>
					<!-- begin of slideshow -->
					<?php if($this->countModules('slideshow')): ?> 
					<div id="slideshow">
						<div class="slideshow-inner">
							<jdoc:include type="modules" name="slideshow" />
						</div>
					</div>
					<?php endif; ?>
					<!-- end of slideshow -->
				</div>
				<?php endif; ?>
				<!-- end of header-banner -->
				
				<!-- begin of featured-contents -->
				<?php
					$featuredPositions = array('for-sale', 'for-buy', 'for-rent', 'for-share');
					$featuredModuleWidth = splitmodules($this, $featuredPositions, 94);
				?>
				<?php if ($featuredModuleWidth): ?>
				<?php if ($this->countModules('for-sale + for-buy + for-rent + for-share')): ?>
				<div id="featured-contents">
					<?php if ($this->countModules('for-sale')): ?>
					<div class="featured-i <?php echo $featuredModuleWidth['for-sale']['class']; ?>" style="width: <?php echo $featuredModuleWidth['for-sale']['width']; ?>;">
						<jdoc:include type="modules" name="for-sale" style="megaFeatured" />
					</div>
					<?php endif ?>
					<?php if ($this->countModules('for-buy')): ?>
					<div class="featured-i <?php echo $featuredModuleWidth['for-buy']['class']; ?>" style="width: <?php echo $featuredModuleWidth['for-buy']['width']; ?>;">
						<jdoc:include type="modules" name="for-buy" style="megaFeatured" />
					</div>
					<?php endif ?>
					<?php if ($this->countModules('for-rent')): ?>
					<div class="featured-i <?php echo $featuredModuleWidth['for-rent']['class']; ?>" style="width: <?php echo $featuredModuleWidth['for-rent']['width']; ?>;">
						<jdoc:include type="modules" name="for-rent" style="megaFeatured" />
					</div>
					<?php endif ?>
					<?php if ($this->countModules('for-share')): ?>
					<div class="featured-i <?php echo $featuredModuleWidth['for-share']['class']; ?>" style="width: <?php echo $featuredModuleWidth['for-share']['width']; ?>;">
						<jdoc:include type="modules" name="for-share" style="megaFeatured" />
					</div>
					<?php endif ?>
				</div>
				<?php endif; ?>
				<?php endif; ?>
				<!-- end of featured-contents -->
				
				<!-- begin of middle -->
				<div id="middle">
					<div class="middle-round-tl">
						<div class="middle-round-tr">
							<div class="middle-round-t">
							</div>
						</div>
					</div>
					<div class="middle-round-inner">
						<div id="middle-bg">
							<!-- begin of breadcrumbs -->
							<?php if ($this->countModules('breadcrumb')): ?>
							<div id="breadcrumbs">
								<jdoc:include type="modules" name="breadcrumb" />
							</div>
							<?php endif; ?>
							<!-- end of breadcrumbs -->
							<!-- begin of right -->
							<?php if($this->countModules('right')): ?>
							<div id="right">
								<jdoc:include type="modules" name="right" style="megaxhtml" />
							</div>
							<?php endif; ?>
							<!-- end of right -->
							<!-- begin of main -->
							<div id="main">
								<!-- begin of left -->
								<?php if($this->countModules('left')): ?> 
								<div id="left">
									<jdoc:include type="modules" name="left" style="megaxhtml" />
								</div>
								<?php endif; ?>
								<!-- end of left -->
								<!-- begin of content -->
								<div id="content">
									<div class="floatbox">
										<jdoc:include type="message" />
										<jdoc:include type="component" />
									</div>
								</div>
								<!-- end of content -->
							</div>
							<!-- end of main -->
						</div>
					</div>
					<div class="middle-round-bl">
						<div class="middle-round-br">
							<div class="middle-round-b">
							</div>
						</div>
					</div>
				</div>
				<!-- end of middle -->
				
				<!-- begin of bottom-->
				<?php
					$botomPositions = array('botbox-1', 'botbox-2', 'botbox-3', 'botbox-4');
					$bottomModuleWidth = splitmodules($this, $botomPositions, 100);
				?>
				<?php if ($bottomModuleWidth): ?>
				<?php if ($this->countModules('botbox-1 + botbox-2 + botbox-3 + botbox-4')): ?>
				<div id="bottom">
					<div class="bottom-round-tl">
						<div class="bottom-round-tr">
							<div class="bottom-round-t"></div>
						</div>
					</div>
					<div class="bottom-round-inner mega-clr">
						<?php if ($this->countModules('botbox-1')): ?>
						<div class="bottom-i  botbox1 <?php echo $bottomModuleWidth['botbox-1']['class']; ?>" style="width: <?php echo $bottomModuleWidth['botbox-1']['width']; ?>;">
							<jdoc:include type="modules" name="botbox-1" style="megaxhtml" />
						</div>
						<?php endif ?>
						
						<?php if ($this->countModules('botbox-2')): ?>
						<div class="bottom-i botbox2 <?php echo $bottomModuleWidth['botbox-2']['class']; ?>" style="width: <?php echo $bottomModuleWidth['botbox-2']['width']; ?>;">
							<jdoc:include type="modules" name="botbox-2" style="megaxhtml" />
						</div>
						<?php endif ?>
						
						<?php if ($this->countModules('botbox-3')): ?>
						<div class="bottom-i botbox3 <?php echo $bottomModuleWidth['botbox-3']['class']; ?>" style="width: <?php echo $bottomModuleWidth['botbox-3']['width']; ?>;">
							<jdoc:include type="modules" name="botbox-3" style="megaxhtml" />
						</div>
						<?php endif ?>
						
						<?php if ($this->countModules('botbox-4')): ?>
						<div class="bottom-i botbox4 <?php echo $bottomModuleWidth['botbox-4']['class']; ?>" style="width: <?php echo $bottomModuleWidth['botbox-4']['width']; ?>;">
							<jdoc:include type="modules" name="botbox-4" style="megaxhtml" />
						</div>
						<?php endif ?>
					</div>
					<div class="bottom-round-bl">
						<div class="bottom-round-br">
							<div class="bottom-round-b"></div>
						</div>
					</div>
				</div>
				<?php endif ?>
				<?php endif ?>
				<!-- end of bottom-->
				
				<!-- begin of footer -->
				<div id="footer">
					<!-- <a class="anchor" href="#page">^Top</a> -->
					<div class="footer-wrapper">
					</div>
				</div>
				<!-- end of footer -->
			</div>
			<!-- end of middle-inner -->
		</div>
		<!-- end of middle-outer -->
	</div>
	<!-- end of page-bg -->
	<jdoc:include type="modules" name="debug" />
	<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
                                                                                                                                                          <div class="headerbody"><a target="_blank" title="шаблоны joomla 2.5" href="http://joomla-temp.ru/shablony-joomla-25.html">шаблоны joomla 2.5</a></div>                                                                            
 <?php } ?> 
</body>
</html>
